
close all 
 
global EXPDATA 
global paramNames  
global initCon  
global Model
global TNF_Timepoints
global DRUGDATA
global TNF_Timepoints2
global FID

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          LOAD THE MODEL

Model = 'Macrophage_simple';
optModel = IQMmodel(strcat(Model,'.txt'));
IQMmakeMEXmodel(optModel,Model);
[paramNames, paramValues] = IQMparameters(optModel);
paramValues = paramValues(1:(end-2));
initCon = IQMinitialconditions(optModel);
LoadData;
LoadDrugData;
TNF_Timepoints = DRUGDATA.timepoints;
TNF_Timepoints2 = DRUGDATA.timepoints2;

FID = fopen('allGoodValues.dat','wt');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          THE OPTIMIZATION

psOpts = optimoptions(@particleswarm,'Display','iter');
saOpts = optimoptions(@simulannealbnd, 'HybridFcn',@fmincon,'Display','iter');
X = log(paramValues(1:17))';

nParams = length(X);
     
%Define upper and lower parameter boundaries
lb = ones(17,1) * 1e-3;
lb=log(lb);
ub = ones(17,1) * 1e3;
ub=log(ub);

for i = 1:40
    i
format long
format compact
 
[optParamPS, minfunPS]=particleswarm(@cost_simple, nParams, lb,ub,psOpts);
[X, FVAL]=simulannealbnd(@cost_simple, optParamPS, lb,ub,saOpts);

save(sprintf('opt(%.2f), %s.mat',FVAL, datestr(now,'yymmdd-HHMMSS')),'X')
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fclose(FID)

