Matlab files to reproduce the results of the manuscript **Mechanisms of a sustained anti-inflammatory drug response in alveolar macrophages unraveled with mathematical modeling** by Nyman et al.

The IQM toolbox is used. 

First, you need to install the toolbox from https://iqmtools.intiquan.com/

To reproduce the results in the manuscript, run `plot_many_params.m` for each hypothesis

The included files:

`Macrophage_simple.txt` model text file used for hypothesis testing in the format of the IQM toolbox

`Macrophage_treatment.txt` model text file for the model used to simulate treatment scenarios in in the format of the IQM toolbox

`allGoodValuesX.dat` contains acceptable parameter values

`cost_simple.m` computes the cost and need a set of parameter values as input

`Optimization_simple.m` main script to use in the optimization of parameters

`LoadData.m` computes mean values and standard error of the means from the raw data with only LPS stimulation and load to workspace

`LoadDrugData.m` computes mean values and standard error of the means from the raw data with addition of Dexamathasone and load to workspace

`plot_many_params.m` simulate the model and plot for all loaded acceptable parameter values

`plot_treatment.m` simulate the treatment model and plot for for all loaded acceptable parameter values